Bug 690508 - Call time statistics of EJB beans are not correctly generated on subsequent requests for the statistics in no bean methods are executed between requests
Call time statistics of EJB beans are not correctly generated on subsequent r...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Operations (Show other bugs)
3.0.1
All All
unspecified Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-24 10:24 EDT by bkramer
Modified: 2011-05-23 20:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The EAR file used for testing (2.93 KB, application/x-gzip)
2011-03-24 10:26 EDT, bkramer
no flags Details
The screen shot that shows generated statistics (177.70 KB, image/png)
2011-03-24 10:26 EDT, bkramer
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Legacy) 55832 None None None Never
JBoss Issue Tracker JBPAPP-6203 Major Closed Incorrect statistcs returned by the EJB MBean in EAP 5.1 2014-07-11 15:26:42 EDT

  None (edit)
Description bkramer 2011-03-24 10:24:20 EDT
Description of problem:
Call time statistics of EJB 2.1 stateless session beans are not correctly generated after some load on JON 2.4.1

Version-Release number of selected component (if applicable):
JON 2.4.1

How reproducible:
every time.

Steps to Reproduce:

1) Install EAP 5.1
2) copy all configuration to etat1 and etat2
3) remove messaging from etat1/deploy and etat2/deploy
4) deploy EAR to etat1/deploy and etat2/deploy
5) add virtual IP addresses bound to localhost as root via:

     [root@dhcp-64-60 chrome]# ip addr add 192.168.100.50/32 dev lo
     [root@dhcp-64-60 chrome]# ip addr add 192.168.100.51/32 dev lo

6) start Jboss instances:
    ./run.sh -c etat1 -b 192.168.100.50 
    ./run.sh -c etat2 -b 192.168.100.51

7) Install JON 2.4.1, install the corresponding JON agent 
8) Let JON 2.4.1 import those two EAP 5.1 instances
9) In JON on both TestBeans include Call Time Measurement and set collection interval to 1min
10 Put some load on the web app by calling the following script a few seconds/minutes:

#!/bin/sh
URLS="http://192.168.100.50:8080/etatWeb/TestEJBServlet http://192.168.100.51:8080/etatWeb/TestEJBServlet"

while [ 1 ]
do
        for url in $URLS 
        do 
                wget $url -a etat.log
        done        
done

11) Go to Operations, request "View Method Statistics" and check the output (should look fine);
12) Stop the script;
13) Repeat step 11 - and check the result - the following report is generated:

Method Name 	Count 	Total Time 	Min Invocation Time 	Max Invocation Time 	Actions
sayHello 	0 	0 	9223372036854775807 	0 	
View
remove 	0 	0 	9223372036854775807 	0 	
View
create 	0 	0 	9223372036854775807 	0 	
View

  
Actual results:


Expected results:


Additional info: attached etat.ear.tar.gz and callTimeStatistics_stop1.png files
Comment 1 bkramer 2011-03-24 10:26:01 EDT
Created attachment 487345 [details]
The EAR file used for testing
Comment 2 bkramer 2011-03-24 10:26:43 EDT
Created attachment 487346 [details]
The screen shot that shows generated statistics
Comment 3 Larry O'Leary 2011-03-24 20:04:16 EDT
The behavior appears to be a bug in AS. Remove JON from the picture and use twiddle:

serverUrl='http://localhost:8080'
jmxUser='admin'
jmxPassword='admin'
mBeanName='jboss.j2ee:jndiName=TestBean,service=EJB'
mBeanAttr='DetypedInvocationStatistics'
./twiddle.sh -s "${serverUrl}" -u "${jmxUser}" -p "${jmxPassword}" get "${mBeanName}" "${mBeanAttr}"


You will see that the InvokeStats are equally incorrect using your test-case.

Note You need to log in before you can comment on or make changes to this bug.